#include <TestApp.h>
#include <hwServer.h>
#include <hwTheme.h>
#include <MainWindow.h>

TestApp* TestApp::createInstance()
{
    return new TestApp();
}

void TestApp::init()
{
    myMainWindow = new MainWindow();
    setActiveWindow(myMainWindow);
    setTheme(new hwTheme("testapp.css"));
}

int main(int argc, char** argv)
{
    hwServer::getInstance()->setAppFactory(new TestApp());
    hwServer::getInstance()->run(8888);
}
